# Class Controller

- Defined in src/misc/datepickerComponent.js:153

#####
Index

### Properties

edate
edateOptions
gettextCatalog_
initialMaxDate
initialMinDate
isModeRange
ngeoTime_
onDateSelected
sdate
sdateOptions
time

### Methods

init

## Properties

### edate

edate: Date

End date model for the second datepicker (only for range mode)

- Defined in src/misc/datepickerComponent.js:231
- Defined in src/misc/datepickerComponent.js:274

### edateOptions

edateOptions: unknown

Datepicker options for the second datepicker (only for range mode)

- Defined in src/misc/datepickerComponent.js:204

### gettextCatalog_

gettextCatalog_: gettextCatalog

The gettext catalog

- Defined in src/misc/datepickerComponent.js:169

### initialMaxDate

initialMaxDate: Date

Initial max date for the datepickeronDateSelected

- Defined in src/misc/datepickerComponent.js:197
- Defined in src/misc/datepickerComponent.js:266

### initialMinDate

initialMinDate: Date

Initial min date for the datepicker

- Defined in src/misc/datepickerComponent.js:190
- Defined in src/misc/datepickerComponent.js:265

### isModeRange

isModeRange: boolean

If the component is used to select a date range

- Defined in src/misc/datepickerComponent.js:176
- Defined in src/misc/datepickerComponent.js:267

### ngeoTime_

ngeoTime_: Time

- Defined in src/misc/datepickerComponent.js:157

### onDateSelected

onDateSelected: ((arg0) => void)

#### Type declaration

- - (arg0): void

  - Function called after date(s) changed/selected

    #### Parameters

    - ##### arg0: {
      time: {
      end: number;
      start: number;
      };
      }

      - ##### time: {
        end: number;
        start: number;
        }

        - ##### end: number

        - ##### start: number

    #### Returns void

- Defined in src/misc/datepickerComponent.js:183

### sdate

sdate: Date

Start date model for the first date picker

- Defined in src/misc/datepickerComponent.js:224
- Defined in src/misc/datepickerComponent.js:273
- Defined in src/misc/datepickerComponent.js:279

### sdateOptions

sdateOptions: unknown

Datepicker options for the first datepicker

- Defined in src/misc/datepickerComponent.js:214

### time

time: TimeProperty

- Defined in src/misc/datepickerComponent.js:162

## Methods

### init

- init(): void

- Initialize the controller.

  #### Returns void

  - Defined in src/misc/datepickerComponent.js:259

Generated using TypeDoc